<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:23 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GaCommStepImpl (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="GaCommStepImpl (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GaCommStepImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaCommHostImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaEventTraceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaCommStepImpl.html" target="_top">Frames</a></li>
<li><a href="GaCommStepImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl.GaStepImpl">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl</div>
<h2 title="Class GaCommStepImpl" class="title">Class GaCommStepImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.BasicNotifierImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.BasicEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EObjectImpl</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceUsageImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl.ResourceUsageImpl</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl.GaScenarioImpl</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl.GaStepImpl</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl.GaCommStepImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaCommStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaCommStep</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaScenario</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaStep</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ResourceUsage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">ResourceUsage</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedElement.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedElement</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedProcessing</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/SAM/impl/SaCommStepImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.impl">SaCommStepImpl</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">GaCommStepImpl</span>
extends <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl">GaStepImpl</a>
implements <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaCommStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaCommStep</a></pre>
<div class="block"><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Ga Comm Step</b></em>'.
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList&lt;E extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> &amp; org.eclipse.emf.common.notify.Adapter&gt;, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>org.eclipse.emf.ecore.InternalEObject.EStore</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl.GaStepImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl">GaStepImpl</a></h3>
<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#BLOCK_T_EDEFAULT">BLOCK_T_EDEFAULT</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#blockT">blockT</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#childScenario">childScenario</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#concurRes">concurRes</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#host">host</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#IS_ATOMIC_EDEFAULT">IS_ATOMIC_EDEFAULT</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#isAtomic">isAtomic</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#priority">priority</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#PRIORITY_EDEFAULT">PRIORITY_EDEFAULT</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#prob">prob</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#PROB_EDEFAULT">PROB_EDEFAULT</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#rep">rep</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#REP_EDEFAULT">REP_EDEFAULT</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#scenario">scenario</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#SELF_DELAY_EDEFAULT">SELF_DELAY_EDEFAULT</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#selfDelay">selfDelay</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#servCount">servCount</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#servDemand">servDemand</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl.GaScenarioImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl">GaScenarioImpl</a></h3>
<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#base_Action">base_Action</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#base_Behavior">base_Behavior</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#base_Message">base_Message</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#cause">cause</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#duration">duration</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#finish">finish</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#hostDemand">hostDemand</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#hostDemandOps">hostDemandOps</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#interOccT">interOccT</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#on">on</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#parentStep">parentStep</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#respT">respT</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#root">root</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#start">start</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#steps">steps</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#throughput">throughput</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#timing">timing</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#utilization">utilization</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#utilizationOnHost">utilizationOnHost</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl.ResourceUsageImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceUsageImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl">ResourceUsageImpl</a></h3>
<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceUsageImpl.html#allocatedMemory">allocatedMemory</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceUsageImpl.html#base_NamedElement">base_NamedElement</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceUsageImpl.html#energy">energy</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceUsageImpl.html#execTime">execTime</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceUsageImpl.html#msgSize">msgSize</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceUsageImpl.html#powerPeak">powerPeak</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceUsageImpl.html#subUsage">subUsage</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceUsageImpl.html#usedMemory">usedMemory</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceUsageImpl.html#usedResources">usedResources</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.EObjectImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.EObjectImpl</h3>
<code>eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>EOPPOSITE_FEATURE_BASE</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaCommStepImpl.html#GaCommStepImpl--">GaCommStepImpl</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaCommStepImpl.html#eStaticClass--">eStaticClass</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl.GaStepImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl">GaStepImpl</a></h3>
<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#basicGetChildScenario--">basicGetChildScenario</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#basicGetConcurRes--">basicGetConcurRes</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#basicGetHost--">basicGetHost</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#basicGetScenario--">basicGetScenario</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#basicSetChildScenario-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaScenario-org.eclipse.emf.common.notify.NotificationChain-">basicSetChildScenario</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#basicSetScenario-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaScenario-org.eclipse.emf.common.notify.NotificationChain-">basicSetScenario</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#eGet-int-boolean-boolean-">eGet</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#eInverseAdd-org.eclipse.emf.ecore.InternalEObject-int-org.eclipse.emf.common.notify.NotificationChain-">eInverseAdd</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#eInverseRemove-org.eclipse.emf.ecore.InternalEObject-int-org.eclipse.emf.common.notify.NotificationChain-">eInverseRemove</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#eIsSet-int-">eIsSet</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#eSet-int-java.lang.Object-">eSet</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#eUnset-int-">eUnset</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#getBlockT--">getBlockT</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#getChildScenario--">getChildScenario</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#getConcurRes--">getConcurRes</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#getHost--">getHost</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#getIsAtomic--">getIsAtomic</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#getPriority--">getPriority</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#getProb--">getProb</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#getRep--">getRep</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#getScenario--">getScenario</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#getSelfDelay--">getSelfDelay</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#getServCount--">getServCount</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#getServDemand--">getServDemand</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#setBlockT-java.lang.String-">setBlockT</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#setChildScenario-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaScenario-">setChildScenario</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#setConcurRes-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.SchedulableResource-">setConcurRes</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#setHost-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaExecHost-">setHost</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#setIsAtomic-java.lang.String-">setIsAtomic</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#setPriority-java.lang.String-">setPriority</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#setProb-java.lang.String-">setProb</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#setRep-java.lang.String-">setRep</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#setScenario-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaScenario-">setScenario</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#setSelfDelay-java.lang.String-">setSelfDelay</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#toString--">toString</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl.GaScenarioImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl">GaScenarioImpl</a></h3>
<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#basicGetBase_Action--">basicGetBase_Action</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#basicGetBase_Behavior--">basicGetBase_Behavior</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#basicGetBase_Message--">basicGetBase_Message</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#basicGetCause--">basicGetCause</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#basicGetFinish--">basicGetFinish</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#basicGetRoot--">basicGetRoot</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#basicGetStart--">basicGetStart</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#basicSetDuration-org.eclipse.uml2.uml.ValueSpecification-org.eclipse.emf.common.notify.NotificationChain-">basicSetDuration</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#eBaseStructuralFeatureID-int-java.lang.Class-">eBaseStructuralFeatureID</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#eDerivedStructuralFeatureID-int-java.lang.Class-">eDerivedStructuralFeatureID</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#getBase_Action--">getBase_Action</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#getBase_Behavior--">getBase_Behavior</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#getBase_Message--">getBase_Message</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#getCause--">getCause</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#getDuration--">getDuration</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#getFinish--">getFinish</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#getHostDemand--">getHostDemand</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#getHostDemandOps--">getHostDemandOps</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#getInterOccT--">getInterOccT</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#getOn--">getOn</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#getParentStep--">getParentStep</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#getRespT--">getRespT</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#getRoot--">getRoot</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#getStart--">getStart</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#getSteps--">getSteps</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#getThroughput--">getThroughput</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#getTiming--">getTiming</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#getUtilization--">getUtilization</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#getUtilizationOnHost--">getUtilizationOnHost</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#setBase_Action-org.eclipse.uml2.uml.Action-">setBase_Action</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#setBase_Behavior-org.eclipse.uml2.uml.Behavior-">setBase_Behavior</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#setBase_Message-org.eclipse.uml2.uml.Message-">setBase_Message</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#setCause-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaWorkloadEvent-">setCause</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#setDuration-org.eclipse.uml2.uml.ValueSpecification-">setDuration</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#setFinish-org.eclipse.uml2.uml.Event-">setFinish</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#setRoot-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaStep-">setRoot</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaScenarioImpl.html#setStart-org.eclipse.uml2.uml.Event-">setStart</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl.ResourceUsageImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceUsageImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl">ResourceUsageImpl</a></h3>
<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceUsageImpl.html#basicGetBase_NamedElement--">basicGetBase_NamedElement</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceUsageImpl.html#getAllocatedMemory--">getAllocatedMemory</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceUsageImpl.html#getBase_NamedElement--">getBase_NamedElement</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceUsageImpl.html#getEnergy--">getEnergy</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceUsageImpl.html#getExecTime--">getExecTime</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceUsageImpl.html#getMsgSize--">getMsgSize</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceUsageImpl.html#getPowerPeak--">getPowerPeak</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceUsageImpl.html#getSubUsage--">getSubUsage</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceUsageImpl.html#getUsedMemory--">getUsedMemory</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceUsageImpl.html#getUsedResources--">getUsedResources</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceUsageImpl.html#setBase_NamedElement-org.eclipse.uml2.uml.NamedElement-">setBase_NamedElement</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EObjectImpl</h3>
<code>eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaStep">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaStep</a></h3>
<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html#getBlockT--">getBlockT</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html#getChildScenario--">getChildScenario</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html#getConcurRes--">getConcurRes</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html#getHost--">getHost</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html#getIsAtomic--">getIsAtomic</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html#getPriority--">getPriority</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html#getProb--">getProb</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html#getRep--">getRep</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html#getScenario--">getScenario</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html#getSelfDelay--">getSelfDelay</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html#getServCount--">getServCount</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html#getServDemand--">getServDemand</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html#setBlockT-java.lang.String-">setBlockT</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html#setChildScenario-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaScenario-">setChildScenario</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html#setConcurRes-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.SchedulableResource-">setConcurRes</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html#setHost-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaExecHost-">setHost</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html#setIsAtomic-java.lang.String-">setIsAtomic</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html#setPriority-java.lang.String-">setPriority</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html#setProb-java.lang.String-">setProb</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html#setRep-java.lang.String-">setRep</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html#setScenario-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaScenario-">setScenario</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html#setSelfDelay-java.lang.String-">setSelfDelay</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaScenario">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaScenario</a></h3>
<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getCause--">getCause</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getHostDemand--">getHostDemand</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getHostDemandOps--">getHostDemandOps</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getInterOccT--">getInterOccT</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getParentStep--">getParentStep</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getRespT--">getRespT</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getRoot--">getRoot</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getSteps--">getSteps</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getThroughput--">getThroughput</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getTiming--">getTiming</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getUtilization--">getUtilization</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#getUtilizationOnHost--">getUtilizationOnHost</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#setCause-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaWorkloadEvent-">setCause</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaScenario.html#setRoot-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.GaStep-">setRoot</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.ResourceUsage">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ResourceUsage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">ResourceUsage</a></h3>
<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ResourceUsage.html#getAllocatedMemory--">getAllocatedMemory</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ResourceUsage.html#getBase_NamedElement--">getBase_NamedElement</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ResourceUsage.html#getEnergy--">getEnergy</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ResourceUsage.html#getExecTime--">getExecTime</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ResourceUsage.html#getMsgSize--">getMsgSize</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ResourceUsage.html#getPowerPeak--">getPowerPeak</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ResourceUsage.html#getSubUsage--">getSubUsage</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ResourceUsage.html#getUsedMemory--">getUsedMemory</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ResourceUsage.html#getUsedResources--">getUsedResources</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ResourceUsage.html#setBase_NamedElement-org.eclipse.uml2.uml.NamedElement-">setBase_NamedElement</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.TimedProcessing">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedProcessing</a></h3>
<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html#getBase_Action--">getBase_Action</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html#getBase_Behavior--">getBase_Behavior</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html#getBase_Message--">getBase_Message</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html#getDuration--">getDuration</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html#getFinish--">getFinish</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html#getStart--">getStart</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html#setBase_Action-org.eclipse.uml2.uml.Action-">setBase_Action</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html#setBase_Behavior-org.eclipse.uml2.uml.Behavior-">setBase_Behavior</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html#setBase_Message-org.eclipse.uml2.uml.Message-">setBase_Message</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html#setDuration-org.eclipse.uml2.uml.ValueSpecification-">setDuration</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html#setFinish-org.eclipse.uml2.uml.Event-">setFinish</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html#setStart-org.eclipse.uml2.uml.Event-">setStart</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.TimedElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedElement.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedElement</a></h3>
<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedElement.html#getOn--">getOn</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>eNotificationRequired</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="GaCommStepImpl--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GaCommStepImpl</h4>
<pre>protected&nbsp;GaCommStepImpl()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="eStaticClass--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>eStaticClass</h4>
<pre>protected&nbsp;org.eclipse.emf.ecore.EClass&nbsp;eStaticClass()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#eStaticClass--">eStaticClass</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl">GaStepImpl</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GaCommStepImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaCommHostImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaEventTraceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaCommStepImpl.html" target="_top">Frames</a></li>
<li><a href="GaCommStepImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl.GaStepImpl">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
